Package org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.ErrorElement

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.ErrorElement

- Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

      public class ContainerItemProvider.ErrorElement
      extends java.lang.Object

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ErrorElement​(IContainer<java.lang.Object> container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IContainer<java.lang.Object>` | `getContainer()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorElement

          public ErrorElement​(IContainer<java.lang.Object> container)

  - ### Method Detail

    - #### getContainer

          public IContainer<java.lang.Object> getContainer()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`